Skip to main content

What’s new in the BlackBerry UEM 12.7 REST APIs

Jul 24, 2017

·

Blog

·

BlackBerry UEM version 12.6 introduced a new collection of REST APIs that your custom apps could leverage to help you manage your organization’s BlackBerry UEM domain. See our previous blogs, Getting Started with REST and the Getting Started Guide for making web services calls, for an introduction to the UEM REST APIs and the benefits they offer.

The latest release of BlackBerry UEM, version 12.7, adds the following enhancements to the REST APIs. For full details, see the BlackBerry UEM 12.7 REST API Reference.

New paths and methods

Resource: Devices

Feature
Path
Search for devices
GET /{tenantGuid}/api/v1/devices

Resource: Groups

Feature
Path
Add user accounts to a user group by GUID.
POST /{tenantGuid}/api/v1/groups/{groupGuid}/users
Assign apps to a user group by GUID.
POST /{tenantGuid}/api/v1/groups/{groupGuid}/applications
Create a user group.
POST /{tenantGuid}/api/v1/groups
Delete a user group.
DELETE /{tenantGuid}/api/v1/groups/{groupGuid}
Remove user accounts from a user group by GUID.
DELETE /{tenantGuid}/api/v1/groups/{groupGuid}/users
Remove an app from a user group by GUID.
DELETE /{tenantGuid}/api/v1/groups/{groupGuid}/applications/{appGuid}

Resource: Info

Feature
Path
Get system info.
GET /{tenantGuid}/api/v1/info/systeminfo

Resource: Users

Feature
Path
Get the details of a user account by GUID.
GET /{tenantGuid}/api/v1/users/{userGuid}
Update the password for a local (non-directory) user.
PATCH /{tenantGuid}/api/v1/users/{userGuid}
Get all apps that are directly assigned to a user account.
GET /{tenantGuid}/api/v1/users/{userGuid}/applications
Get all user groups that a user account is assigned to.
GET /{tenantGuid}/api/v1/users/{userGuid}/groups
Get the services that are assigned to a user account.
GET /{tenantGuid}/api/v1/users/{userGuid}/services
Remove a user account.
DELETE /{tenantGuid}/api/v1/users/{userGuid}
Get the devices that are assigned to a user account.
GET /{tenantGuid}/api/v1/users/{userGuid}/userDevices
Get a specific device that is assigned to a user account.
GET /{tenantGuid}/api/v1/users/{userGuid}/userDevices/{userDeviceGuid}
Add or update a certificate for a user credential profile that supports manually uploaded certificates.
PUT /{tenantGuid}/api/v1/users/{userGuid}/profiles/{profileGuid}/certificate
Remove a manually uploaded certificate from a user credential profile.
DELETE /{tenantGuid}/api/v1/users/{userGuid}/profiles/{profileGuid}/certificate

New data types

Type
Description
Application assignment
An app that is (or can be) assigned to a user account or user group
Application assignments
A collection of app assignments
Certificate
A certificate that is defined in BlackBerry UEM
Device
A device that is defined in BlackBerry UEM
Devices
A collection of devices
Email template types
The types of email templates that are supported
Enrollment types
The device enrollment types that are supported
Link
A link related to a resource; for example, a link between a user and the groups and profiles that the user is associated with
Profile categories
Profile categories that are supported
Service
Represents a service; for example, MDM (Mobile Device Management) is a service that can be associated with a user so that an administrator can manage the user’s devices
Service assignment
Represents a service that can be assigned
Service assignment statuses
The service assignment statuses that are supported
Service assignments
A collection of service assignments
SystemInfo
System information; for example, activation URL, management console URL, product version, and so on
User custom variable
A custom variable that is set for a user account
User detail
The details of a user account
User device
A user’s device that is defined in BlackBerry UEM
User devices
A collection of user devices

Changes to resources

Resource: Users

  • New request parameters have been added to GET /{tenantGuid}/api/v1/users, and new fields have been added to the query request parameter

  • In the previous release, the following were organized under the Activation passwords In this release, they have been moved into the Users resource:

    • GET /{tenantGuid}/api/v1/users/{userGuid}/activationPasswords

    • POST /{tenantGuid}/api/v1/users/{userGuid}/activationPasswords

    • PUT /{tenantGuid}/api/v1/users/{userGuid}/activationPasswords

    • DELETE /{tenantGuid}/api/v1/users/{userGuid}/activationPasswords

    • DELETE /{tenantGuid}/api/v1/users/{userGuid}/activationPasswords/ {activationPasswordGuid}

  • A new 503 error code has been added to POST /{tenantGuid}/api/v1/users/{userGuid}/activationPasswords and PUT /{tenantGuid}/api/v1/users/{userGuid}/activationPasswords

Changes to data types

  • Email template now includes a new default property to indicate whether it is the default email template.

  • Profile includes a new default property to indicate whether it is the default profile for that category.

  • User includes a new links property to indicate links from a user to related resources, for example, groups and profiles.

  • Users includes a new total property to indicate the total number of users that match the search criteria, which may be different from the number of user accounts returned.

For more developer resources or to get started on any of our platforms, please visit the BlackBerry Developer Community website.